#' ---
#' title: "Document results"
#' author: ""
#' date: "`r Sys.time()`"
#' output:
#'   html_document:
#'     toc: true
#'     number_section: false
#'     toc_float: true
#'     theme: readable
#'     highlight: tango
#'     df_print: paged
#'     code_folding: show
#' ---

# Clear workspace
rm(list = ls())

# Load packages
suppressPackageStartupMessages({
  library(rmarkdown)
  library(here)
})



#'
#' # Generate output for analyses
#'

# All R files
files <-
  list.files(
    here::here("code"),
    recursive = FALSE,
    pattern = ".[rR]$"
  )
(files <- files[!grepl("^[0-9]+-documentation\\.[rR]$", files)])

# Knit files
knitr::opts_chunk$set(warning = FALSE, error = FALSE)
for (i in files) {
  rmarkdown::render(
    here::here("code", i),
    output_dir = here::here("results"),
    output_file = paste0(sub("\\.[rR]$", "", i), ".html"),
    output_format = "html_document"
  )
}

